org.apache.lucene.search

## Class Explanation

- java.lang.Object
- - org.apache.lucene.search.Explanation

-     public final class Explanation
      extends Object

  Expert: Describes the score computation for document and query.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` A description of this explanation node.
    `Explanation[]` | `getDetails()` The sub-nodes of this explanation node.
    `float` | `getValue()` The value assigned to this explanation node.
    `boolean` | `isMatch()` Indicates whether or not this Explanation models a match.
    `static Explanation` | `match(float value, String description, Collection<Explanation> details)` Create a new explanation for a match.
    `static Explanation` | `match(float value, String description, Explanation... details)` Create a new explanation for a match.
    `static Explanation` | `noMatch(String description, Collection<Explanation> details)` Create a new explanation for a document which does not match.
    `static Explanation` | `noMatch(String description, Explanation... details)` Create a new explanation for a document which does not match.
    `String` | `toHtml()` Render an explanation as HTML.
    `String` | `toString()` Render an explanation as text.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### match

          public static Explanation match(float value,
                          String description,
                          Collection<Explanation> details)

      Create a new explanation for a match.
      Parameters:
        `value` - the contribution to the score of the document
        `description` - how `value` was computed
        `details` - sub explanations that contributed to this explanation

    - #### match

          public static Explanation match(float value,
                          String description,
                          Explanation... details)

      Create a new explanation for a match.
      Parameters:
        `value` - the contribution to the score of the document
        `description` - how `value` was computed
        `details` - sub explanations that contributed to this explanation

    - #### noMatch

          public static Explanation noMatch(String description,
                            Collection<Explanation> details)

      Create a new explanation for a document which does not match.

    - #### noMatch

          public static Explanation noMatch(String description,
                            Explanation... details)

      Create a new explanation for a document which does not match.

    - #### isMatch

          public boolean isMatch()

      Indicates whether or not this Explanation models a match.

    - #### getValue

          public float getValue()

      The value assigned to this explanation node.

    - #### getDescription

          public String getDescription()

      A description of this explanation node.

    - #### getDetails

          public Explanation[] getDetails()

      The sub-nodes of this explanation node.

    - #### toString

          public String toString()

      Render an explanation as text.
      Overrides:
        `toString` in class `Object`

    - #### toHtml

          public String toHtml()

      Render an explanation as HTML.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.